#### Previous topic

scipy.special.tklmbda

#### Next topic

scipy.special.expit

# scipy.special.logit

`scipy.special.``logit`(x) = <ufunc 'logit'>

  Logit ufunc for ndarrays.

  The logit function is defined as logit(p) = log(p/(1-p)). Note that logit(0) = -inf, logit(1) = inf, and logit(p) for p<0 or p>1 yields nan.

  Parameters:

  x : ndarray

  > The ndarray to apply logit to element-wise.

  Returns:

  out : ndarray

  > An ndarray of the same shape as x. Its entries are logit of the corresponding entry of x.

  Notes

  As a ufunc logit takes a number of optional keyword arguments. For more information see ufuncs

  New in version 0.10.0.